Article ID: 113737, created on May 30, 2013, last review on Jun 23, 2015

  • Applies to:
  • Plesk 12.0 for Linux
  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux
  • Plesk 10.4 for Linux/Unix
  • Plesk 10.3 for Linux/Unix


MySQL を Atomic リポジトリから更新し、旧バージョンの mysqlclient15 パッケージがインストールされている場合、次のエラーメッセージでアップグレードが失敗する可能性があります。

Upgrade fails with the error: 
Trying to set up APS controller database... Attempting to check APS db 
connection via ODBC, using /usr/bin/isql (empty output is good) 
/usr/bin/isql: relocation error: /usr/lib64/ symbol strmov, version libmysqlclient_15 not defined in file with link time reference 
Failed, rc = 127. 
Failed to establish test connection. Cleaning up. 

ERROR while trying to establish test connection to APS database via ODBC 
Check the error reason(see log file: 
/tmp/plesk_10.4.4_installation.log), fix and try again


この問題は、Atomic から MySQL パッケージとともにインストールされた、Atomic リポジトリの mysqlclient15 パッケージにある不具合が原因です。


mysqlclient15 パッケージを最新リリースに更新します。以下のコマンドを実行します。

# yum update mysqlclient15

この不具合は、パッケージリリース "" で修正されています。

mysqlclient15 パッケージのリリースは、以下のコマンドで確認できます。

# rpm -q --queryformat '%{RELEASE}\n' mysqlclient15


/usr/local/psa/bootstrapper/pp-bootstrapper/ repair

サーバの実際のバージョンに置き換えてください(/usr/local/psa/bootstrapper/pp11.0.9-bootstrapper/ など)。

a914db3fdc7a53ddcfd1b2db8f5a1b9c 0a53c5a9ca65a74d37ef5c5eaeb55d7f 56797cefb1efc9130f7c48a7d1db0f0c 29d1e90fd304f01e6420fbe60f66f838 dd0611b6086474193d9bf78e2b293040 2a5151f57629129e26ff206d171fbb5f e335d9adf7edffca6a8af8039031a4c7 e8756e9388aeca36710ac39e739b2b37 aea4cd7bfd353ad7a1341a257ad4724a 01bc4c8cf5b7f01f815a7ada004154a2 f4ce8084cb23619ef5fe9428ecc388ea

Email subscription for changes to this article